# Maintainer: graysky <graysky AT archlinux DOT us>
pkgname=psrecord
pkgver=1.4
pkgrel=1
pkgdesc="Record and plot the CPU and memory activity of a process."
arch=('any')
url="https://github.com/astrofrog/psrecord"
license=('BSD')
depends=('python-psutil')
checkdepends=('python-matplotlib')
makedepends=('python-pytest' 'python-setuptools')
optdepends=('python-matplotlib: to generate plots of the data')
source=("$pkgname-$pkgver.tar.gz::https://github.com/astrofrog/psrecord/archive/v$pkgver.tar.gz")
sha256sums=('3c317b7b5944c94a2f2a7b67397464d0383acd030d5457f5ec7d1a0016b92a31')

build() {
  cd "$pkgname-$pkgver"
  python setup.py build
}

check() {
  cd "$pkgname-$pkgver"
  pytest psrecord
}

package() {
  cd "$pkgname-$pkgver"
  python setup.py install --root="$pkgdir" --optimize=1
  install -Dm644 LICENSE "$pkgdir/usr/share/licenses/$pkgname/LICENSE"
}
